// file name : myMain.cpp

#if defined(_MSC_VER)
#pragma warning ( disable : 4786 )
#endif

#ifdef __BORLANDC__
#define ITK_LEAN_AND_MEAN
#endif


#include "itkImage.h"
#include "itkImageFileReader.h"
#include "itkImageFileWriter.h"

#include "myLevelSetFunction.h"


int main( int argc, char *argv[] )
{
  // Input Image
  typedef   float           InputPixelType;
  const     unsigned int    Dimension = 3;
  typedef itk::Image< InputPixelType, Dimension >  InputImageType;

  // Internal Image
  typedef   float           InternalPixelType;
  typedef itk::Image< InternalPixelType, Dimension >  InternalImageType;

  // Output Image
  typedef float OutputPixelType;
  typedef itk::Image< OutputPixelType, Dimension > OutputImageType;

  typedef  itk::ImageFileReader< InternalImageType > ReaderType;
  typedef  itk::ImageFileWriter<  OutputImageType  > WriterType;

  // Read write initialization
  ReaderType::Pointer reader1 = ReaderType::New();
  ReaderType::Pointer reader2 = ReaderType::New();
  WriterType::Pointer writer = WriterType::New();

  reader1->SetFileName( argv[1] );
  reader2->SetFileName( argv[2] );
  writer->SetFileName(  argv[3] );
  
  // MAIN ALGORITHM CAN START HERE !!

  typedef itk::myLevelSetFunction<InternalImageType, InternalImageType> LSFunctionType;
  LSFunctionType::Pointer LS_function = LSFunctionType::New();
  
  return 0;
}
